library(stockassessment)
load("run/model.RData")
FC<-list()
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1), savesim=T, label="SQ all years")
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.000001,0.000001, 0.000001), savesim=T, label="SQ then zero")

### Scenarios for probability of SSB<Blim in 2027 ###

#1. Quota advice 2026
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, catchval.exact =c(340000,269440,NA,NA), fscale=c(NA,NA,1,1), savesim=T, label="2026 official quota advice")
#2. Russian alternative HCR proposal
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, catchval.exact =c(340000,315033,NA,NA), fscale=c(NA,NA,1,1), savesim=T, label="2026 Russian alternative HCR proposal")
#3. Fishing in between these levels
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, catchval.exact =c(340000,292237,NA,NA), fscale=c(NA,NA,1,1), savesim=T, label="2026 Average of official and Russian fishing level")

save(FC, file="run/forecast.RData")
